package com.pixelized.shared.lwa.model.alteration

import com.pixelized.shared.lwa.parser.expression.Expression

data class Alteration(
    val id: String,
    val metadata: MetaData,
    val tags: List<String>,
    val fields: List<Field>,
) {
    data class MetaData(
        val icon: String?,
        val name: String,
        val description: String,
    )

    data class Field(
        val fieldId: String, // this id is not the id of the instance but the id of the impacted field (characteristic, skill etc.)
        val expression: Expression,
    )
}